<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>org.inra.ecoinfo</groupId>
        <artifactId>si_foret</artifactId>
        <version>2001.01-SNAPSHOT</version>
        <relativePath>..</relativePath>
    </parent>
    <artifactId>foret-fluxgazeux-services-api</artifactId>
    <name>foret-fluxgazeux-services-api</name>
    <packaging>jar</packaging>
    <description>this module is a description of an implémentation of fluxgazeux of Soere F-ore-t application</description>
    <properties>
        <stagingDirectory>../target/site</stagingDirectory>
    </properties>


    <build>
        <directory>target</directory>
        <outputDirectory>target/classes</outputDirectory>
        <testOutputDirectory>target/test-classes</testOutputDirectory>
        <sourceDirectory>src/main/java</sourceDirectory>
        <scriptSourceDirectory>src/main/scripts</scriptSourceDirectory>
        <testSourceDirectory>src/test/java</testSourceDirectory>
        <plugins>
	    <plugin>
		<groupId>org.apache.maven.plugins</groupId>
		<artifactId>maven-surefire-plugin</artifactId>
		<version>${surefire.version}</version>
		<!--version>2.16</version -->
		<configuration>
		    <systemPropertyVariables>
                        <propertyName>concordion.output.dir</propertyName>
                        <buildDirectory>target/concordion</buildDirectory>
                        <lib>${project.build.testOutputDirectory}/WEB-INF/lib</lib>                  
                        <java.io.tmpdir>${project.basedir}/target</java.io.tmpdir>
		    </systemPropertyVariables>
		    <testFailureIgnore>false</testFailureIgnore>
		</configuration>
		<dependencies>
		    <dependency>
			<groupId>org.apache.maven.surefire</groupId>
			<artifactId>surefire-junit47</artifactId>
			<version>${surefire.version}</version>
			<!--version>2.16</version -->
		    </dependency>

		</dependencies>
	    </plugin>
        </plugins>
    </build>
    <dependencies>
        <dependency>
            <groupId>org.inra.ecoinfo</groupId>
            <artifactId>foret-core-services-api</artifactId>
            <version>${project.version}</version>
        </dependency>
    </dependencies>
</project>